Package com.logicaldoc.core.threading

# Class ThreadPoolNotAvailableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.logicaldoc.core.threading.ThreadPoolNotAvailableException

All Implemented Interfaces:
  `Serializable`

public class ThreadPoolNotAvailableException extends Exception
An error happened accessing a thread pool

Since:
  8.8.5
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ThreadPoolNotAvailableException(String pool)`
`ThreadPoolNotAvailableException(String pool, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ThreadPoolNotAvailableException

public ThreadPoolNotAvailableException(String pool)

### ThreadPoolNotAvailableException

public ThreadPoolNotAvailableException(String pool, Throwable cause)